openerp.dropdown_menu = function (instance, local) {
    "use strict";

    local.MiniReporte = instance.Widget.extend({
        fields: ['name', 'display_name', 'mobile', 'phone', 'email'],
        init: function(parent, modelo, ids_seleccionados) {
            this._super(parent);

            this.modelo = modelo;
            this.ids_seleccionados = ids_seleccionados;
        },
        start: function() {
            var self = this;

            this.obtener_clientes().then(function (clientes) {
                self.crear_pdf(clientes);
            });
        },
        obtener_clientes: function () {
            var Partner = new instance.web.Model('res.partner');
            return Partner.query(this.fields).filter([['id', 'in', this.ids_seleccionados]]).all()
        },
        crear_pdf: function (clientes) {
            var documento = new jsPDF();
            documento.autoTable(this.fields, _.map(clientes, function (cliente) {
                return _.values(cliente);
            }));

            documento.save('reporte_de_clientes_' + Date.now() + '.pdf');
        } 
    })

    if (instance.web && instance.web.ListView) {
        instance.web.ListView.include({
            do_show: function() {
                this._super.apply(this, arguments);

                if (this.model != 'res.partner') return

                var self = this;

                this.sidebar.add_items('print', [
                    {
                        label: 'Imprimir clientes',
                        classname: 'oe_sidebar_print',
                        callback: function () {
                            var widget = new local.MiniReporte(self, self.model, self.get_selected_ids());
                            widget.start()
                        }
                    }
                ])
            }
        })
    }
}